Skip to main content
POST
/
connect
/
activate-integration
Activate integration (optional)
curl --request POST \
  --url https://api.kombo.dev/v1/connect/activate-integration \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "token": "<string>"
}
'
{
  "status": "success",
  "data": {
    "tool": "personio",
    "id": "personio:CBNMt7dSNCzBdnRTx87dev4E",
    "end_user_origin_id": "36123",
    "end_user_organization_name": "Acme, Inc.",
    "end_user_email": "user@example.com",
    "setup_status": "COMPLETED"
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.kombo.dev/llms.txt

Use this file to discover all available pages before exploring further.

We are deprecating this endpoint in favour of the get integration by code endpoint. To migrate you only have to change to the new API endpoint.

Example Request Body

{
  "token": "eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJtZXNzYWdlIjoiVGhpcyBpcyBub3QgYW4gYWN0dWFsIHRva2VuLiJ9.JulqgOZBMKceI8vh9YLpVX51efND0ZyfUNHDXLrPz_4"
}

Authorizations

Authorization
string
header
required

Create an API key on the Secrets page in the Kombo dashboard.

Body

application/json

POST /connect/activate-integration Request body

token
string
required

Response

POST /connect/activate-integration Positive response

status
string
required
Allowed value: "success"
data
object
required
Example:
{
"tool": "personio",
"id": "personio:CBNMt7dSNCzBdnRTx87dev4E",
"end_user_origin_id": "36123",
"end_user_organization_name": "Acme, Inc.",
"end_user_email": "user@example.com",
"setup_status": "COMPLETED"
}